"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deactivate = exports.activate = void 0;
// The module 'vscode' contains the VS Code extensibility API
// Import the module and reference it with the alias vscode in your code below
const path_1 = require("path");
const vscode = require("vscode");
const extensionId = "BroadcomMFD.idms-dialect-for-cobol";
function activate(context) {
    const ext = vscode.extensions.getExtension(extensionId);
    if (ext === undefined) {
        throw new Error("Cannot find extension");
    }
    const executablePath = (0, path_1.join)(ext.extensionPath, "server", "jar");
    const snippetPath = (0, path_1.join)(ext.extensionPath, "snippets.json");
    vscode.commands.executeCommand("cobol-lsp.dialect.register", "IDMS", executablePath, "IDMS dialect support", extensionId, snippetPath);
}
exports.activate = activate;
// This method is called when your extension is deactivated
function deactivate() {
    vscode.commands.executeCommand("cobol-lsp.dialect.unregister", "IDMS", extensionId);
}
exports.deactivate = deactivate;
//# sourceMappingURL=extension.js.map